package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;


import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class DataPegawai
 * 
 * @author Generator
 */
@Entity
@Table(name = "sdm_DataPegawai_T")
public class DataPegawai  extends BaseTransaction{
	@Column(name = "Nip", nullable = false , length = 100)
	 @Caption(value = "Nip")
	private String nip ;
	public String getNip() {
		return nip ;
	}
	public void setNip(String nip ) {
		this.nip  = nip ;
	}

	@Column(name = "NamaPegawai", nullable = false , length = 100)
	 @Caption(value = "NamaPegawai")
	private String namaPegawai ;
	public String getNamaPegawai() {
		return namaPegawai ;
	}
	public void setNamaPegawai(String namaPegawai ) {
		this.namaPegawai  = namaPegawai ;
	}

	@Column(name = "StatusPegawai", nullable = false , length = 100)
	 @Caption(value = "StatusPegawai")
	private String statusPegawai ;
	public String getStatusPegawai() {
		return statusPegawai ;
	}
	public void setStatusPegawai(String statusPegawai ) {
		this.statusPegawai  = statusPegawai ;
	}

	@Column(name = "TempatLahir", nullable = false , length = 100)
	 @Caption(value = "TempatLahir")
	private String tempatLahir ;
	public String getTempatLahir() {
		return tempatLahir ;
	}
	public void setTempatLahir(String tempatLahir ) {
		this.tempatLahir  = tempatLahir ;
	}

	@Column(name = "TanggalLahir", nullable = false , length = 100)
	 @Caption(value = "TanggalLahir")
	private String tanggalLahir ;
	public String getTanggalLahir() {
		return tanggalLahir ;
	}
	public void setTanggalLahir(String tanggalLahir ) {
		this.tanggalLahir  = tanggalLahir ;
	}

	@Column(name = "Golongan", nullable = false , length = 100)
	 @Caption(value = "Golongan")
	private String golongan ;
	public String getGolongan() {
		return golongan ;
	}
	public void setGolongan(String golongan ) {
		this.golongan  = golongan ;
	}

	@Column(name = "StatusKawin", nullable = false , length = 100)
	 @Caption(value = "StatusKawin")
	private String statusKawin ;
	public String getStatusKawin() {
		return statusKawin ;
	}
	public void setStatusKawin(String statusKawin ) {
		this.statusKawin  = statusKawin ;
	}

	@Column(name = "Jabatan", nullable = false , length = 100)
	 @Caption(value = "Jabatan")
	private String jabatan ;
	public String getJabatan() {
		return jabatan ;
	}
	public void setJabatan(String jabatan ) {
		this.jabatan  = jabatan ;
	}

	@Column(name = "TunjanganJabatan", nullable = false , length = 100)
	 @Caption(value = "TunjanganJabatan")
	private Integer tunjanganJabatan ;
	public Integer getTunjanganJabatan() {
		return tunjanganJabatan ;
	}
	public void setTunjanganJabatan(Integer tunjanganJabatan ) {
		this.tunjanganJabatan  = tunjanganJabatan ;
	}

	@Column(name = "GajiPokok", nullable = false , length = 100)
	 @Caption(value = "GajiPokok")
	private Integer gajiPokok ;
	public Integer getGajiPokok() {
		return gajiPokok ;
	}
	public void setGajiPokok(Integer gajiPokok ) {
		this.gajiPokok  = gajiPokok ;
	}


}